
QGIS Application - Bug report #2436

New symbology print issue

2010-02-11 08:33 PM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 12496

Description

1. Open any polygonal layer and set New symbology: "Funny fill" symbol style;

2. If print this layer by internal QGIS pdf printer then all ok;

3. If try to print it by external pdf printer or common printer - weg get bad result: [http://gis-lab.info/share/DR/new_symbology_print.jpg]. It's

look like very small resolution image.

History

#1 - 2010-06-10 02:50 AM - Martin Dobias

I believe this scaling issue has been fixed few days ago. Please can you test again?

Martin

#2 - 2010-07-21 12:57 AM - Médéric RIBREUX

The bug has not been fixed yet ! Furthermore, if I try to print via the internal PDF, the resolution of the fill texture is very low (the same than by printing on a

printer).

The only "good" rendering is by using a PNG (image) export.

My tests have been done under Debian Squeeze with QGis 1.6.0 (commit:e0afaaa1 (SVN r13940)).

#3 - 2010-10-01 12:21 AM - michele zanolli

To simply reproduce this bug (1.6.0 trunk), try this:

    -  open a simple polygon layer

    -  use funny_fill to render it (note that the fill pattern is in pixel and NOT in map units, because if I zoom in/out, the squares of the pattern are redrawn in

the map ALWAYS with the same size)

    -  now open the print composer, choose for example A4 size and

        -  export to PDF (or directly print) with option Print as raster CHECKED

        -  export to PDF (or directly print) with option Print as raster UNCHECKED

    -  note that both pdf documents are wrong and do not represent the original map shown in the print composer (the squares of funny fill are bigger or

smaller than the expected result)
I think that this is a critical bug for printing

michele

#4 - 2011-03-05 02:49 AM - Volker Fröhlich

It seems to me, the original problem is solved -- at least on Linux (commit:66a55eb7 (SVN r15334)) and Qt 4.7.1.

But I can confirm what zanollim said.

#5 - 2011-03-06 03:18 PM - Volker Fröhlich

Might be related to #3267.

#6 - 2011-03-07 03:26 AM - michele zanolli

If I export a map to PDF with  Print as raster option CHECKED (read my previous post) and I ONLY change the dpi quality, the results are all different (the

dimension of the squares of funny fill depends on the dpi quality chosen) and this is not correct

#7 - 2011-05-16 06:05 AM - Marco Hugentobler

- Resolution set to wontfix

- Status changed from Open to Closed

The Qt fill styles are pixmaps, so impossible to render in good quality on all resolutions.

You could use the 'svg fill' symbollayer type. A solution for convenient creation of svg patterns (without using an svg editor by hand) is planned for this

summer.

Regards,

Marco
